#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 9. General Libraries

- Prev

  Protobuf-c-1.5.2

- Next

  qcoro-0.13.0

- Up
- Home

# Qca-2.3.10

## Introduction to Qca

Qca aims to provide a straightforward and cross-platform crypto API, using Qt datatypes and conventions. Qca separates the API from the implementation, using plugins known as Providers.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.kde.org/stable/qca/2.3.10/qca-2.3.10.tar.xz

- Download MD5 sum: c3ed3262c83c43bdeb610836769b1534

- Download size: 748 KB

- Estimated disk space required: 56 MB (with tests)

- Estimated build time: 0.7 SBU (using parallelism=4; with tests)

### Qca Dependencies

#### Required

make-ca-1.16.1, CMake-4.3.2, Qt-6.11.0, and Which-2.23

#### Optional

Cyrus SASL-2.1.28, GnuPG-2.5.19, libgcrypt-1.12.2, libgpg-error-1.60, nss-3.123.1, NSPR-4.38.2, p11-kit-0.26.2, Doxygen-1.17.0, and Botan

## Installation of Qca

Fix the location of the CA certificates:

    sed -i 's@cert.pem@certs/ca-bundle.crt@' CMakeLists.txt

Install Qca by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=$QT6DIR            \
          -D CMAKE_BUILD_TYPE=Release                \
          -D QT6=ON                                  \
          -D QCA_INSTALL_IN_QT_PREFIX=ON             \
          -D QCA_MAN_INSTALL_DIR:PATH=/usr/share/man \
          .. &&
    make

To test the results, issue: make test.

Now, as the `root` user:

    make install

## Command Explanations

`-D CMAKE_BUILD_TYPE=Release`: This switch is used to apply a higher level of compiler optimizations.

`-D QT6=ON`: This switch ensures that the package is built with Qt-6.11.0.

`-D QCA_MAN_INSTALL_DIR:PATH=/usr/share/man`: This switch installs the qca man page in the normal location.

## Contents

Installed Programs: mozcerts-qt6 and qcatool-qt6
Installed Libraries: libqca-qt6.so, libqca-cyrus-sasl.so, libqca-gcrypt.so, libqca-gnupg.so, libqca-logger.so, libqca-nss.so, libqca-ossl.so, and libqca-softstore.so
Installed Directories: $QT6DIR/include/Qca-qt6, $QT6DIR/lib/cmake/Qca-qt6, and $QT6DIR/lib/qca-qt6

### Short Descriptions

mozcerts-qt6 | is a command line tool for converting certdata.txt into outfile.pem files
qcatool-qt6 | is a command line tool for performing various cryptographic operations with Qca
`libqca-qt6.so` | is the Qt Cryptography Architecture (Qca) library

- Prev

  Protobuf-c-1.5.2

- Next

  qcoro-0.13.0

- Up
- Home